## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts
Class RootViewXYLayout

    java.lang.Object
      org.eclipse.draw2d.AbstractLayout
          org.eclipse.draw2d.XYLayout
              org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts.RootViewXYLayout

All Implemented Interfaces:
  org.eclipse.draw2d.LayoutManager

    public class RootViewXYLayout

extends org.eclipse.draw2d.XYLayout

Our own Layout algorithm

Constructor Summary
`RootViewXYLayout()`

Method Summary

Methods inherited from class org.eclipse.draw2d.XYLayout
`getConstraint, getOrigin, layout, remove, setConstraint`

Methods inherited from class org.eclipse.draw2d.AbstractLayout
`getMinimumSize, getMinimumSize, getPreferredSize, getPreferredSize, invalidate, isObservingVisibility, setObserveVisibility`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RootViewXYLayout

    public RootViewXYLayout()